Enjoy a safe, convenient shopping experience.Learn more

Main Content

“I see that it states "Requires Samsung Smart Washer/Dryer app. The Samsung Smart Washer/Dryer app supports Android OS 2.3.6 or later and iOS 3 or later for ." Is the app absolutely needed? Definite deal breaker for my mother who has no cell phone or wifi.”

Asked by MarkA 
Answer This Question

1-8 of 8 Answers